changeset 81:6dd38c925bc4

Upgrade some packages, and other cleanups.
author Rob Landley <rob@landley.net>
date Thu, 11 Jan 2007 12:13:11 -0500
parents 92dd34025932
children 7b1360b20d9c
files download.sh include.sh mini-native.sh
diffstat 3 files changed, 10 insertions(+), 10 deletions(-) [+]
line wrap: on
line diff
--- a/download.sh	Wed Jan 03 13:16:57 2007 -0500
+++ b/download.sh	Thu Jan 11 12:13:11 2007 -0500
@@ -12,11 +12,11 @@
 
 # Required for cross compile toolchain
 
-URL=http://www.kernel.org/pub/linux/kernel/v2.6/linux-2.6.19.1.tar.bz2 \
-SHA1=a373be93fcb55b97a5b96a422f690edafeff1de4 \
+URL=http://www.kernel.org/pub/linux/kernel/v2.6/linux-2.6.19.2.tar.bz2 \
+SHA1=f768757ec898f6e1c1b98b3ccb705ee23872e125 \
 download &&
 
-URL=http://www.uclibc.org/downloads/snapshots/uClibc-20061229.tar.bz2 \
+URL=http://www.uclibc.org/downloads/snapshots/uClibc-20070108.tar.bz2 \
 SHA1= \
 download &&
 
@@ -37,7 +37,7 @@
 # Required for native build environment
 
 URL=http://ftp.gnu.org/gnu/gcc/gcc-4.1.1/gcc-g++-4.1.1.tar.bz2 \
-SHA1=909672543af9a7b88898cd256e25ccd4a9f009b1 &&
+SHA1=909672543af9a7b88898cd256e25ccd4a9f009b1 \
 download &&
 
 URL=http://superb-east.dl.sourceforge.net/sourceforge/squashfs/squashfs3.1.tar.gz \
@@ -60,10 +60,9 @@
 SHA1= \
 download &&
 
-
 echo === Got all source. &&
 
-cleanup_oldfiles
+cleanup_oldfiles &&
 
 # Set color back to normal.
 echo -e "\e[0m"
--- a/include.sh	Wed Jan 03 13:16:57 2007 -0500
+++ b/include.sh	Thu Jan 11 12:13:11 2007 -0500
@@ -48,6 +48,7 @@
   # Return failure.
 
   echo "Could not download $FILENAME"
+  echo -en "\e[0m"
   return 1
 }
 
--- a/mini-native.sh	Wed Jan 03 13:16:57 2007 -0500
+++ b/mini-native.sh	Thu Jan 11 12:13:11 2007 -0500
@@ -19,7 +19,7 @@
 # Install Linux kernel headers (for use by uClibc).
 make headers_install ARCH="${KARCH}" INSTALL_HDR_PATH="${TOOLS}" &&
 # build bootable kernel for target
-mv "${WORK}/config-linux" .config &&
+cp "${WORK}/config-linux" .config &&
 (yes "" | make ARCH="${KARCH}" oldconfig) &&
 make ARCH="${KARCH}" CROSS_COMPILE="${ARCH}-" &&
 cp "${KERNEL_PATH}" "${NATIVE}/zImage-${ARCH}" &&
@@ -163,9 +163,9 @@
 "${ARCH}-strip" "${TOOLS}"/{bin/*,sbin/*,libexec/gcc/*/*/*}
 
 cd "${BUILD}"
-echo -n "Creating tools.sqf"
-("${WORK}/mksquashfs" "${NATIVE}/tools" "tools-${ARCH}.sqf" \
-  -noappend -all-root -info || dienow) | dotprogress
+#echo -n "Creating tools.sqf"
+#("${WORK}/mksquashfs" "${NATIVE}/tools" "tools-${ARCH}.sqf" \
+#  -noappend -all-root -info || dienow) | dotprogress
 
 echo -n creating mini-native-"${ARCH}".tar.bz2 &&
 { tar cjvf "mini-native-${ARCH}.tar.bz2" "mini-native-${ARCH}" || dienow